post
https://sandbox.saner.secpod.com/AncorWebService/perform
Update a user's password.
This method allows you to update the password of a user in Saner Server. It requires user id and password.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| id | User ID whose password is updated. | Yes | string |
| password | New password for the user (must be at least 12 characters). | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.platform import PlatformClient
client = PlatformClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response = client.User.updatePassword(
id="[email protected]",
password="Tr7!vQm9#Lp2^Zk"
)
print(response)
client.close()Requires Python 3.9 or later.